/* roadmap_canvas.h - manage the roadmap canvas that is used to draw the map.
 *
 * LICENSE:
 *
 *   Copyright 2002 Pascal F. Martin
 *
 *   This file is part of RoadMap.
 *
 *   RoadMap is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   RoadMap is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with RoadMap; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _ROADMAP_CANVAS__H_
#define _ROADMAP_CANVAS__H_

#include "roadmap_types.h"

void roadmap_canvas_initialize (void);

GtkWidget *roadmap_canvas (void);

void roadmap_canvas_set_initial_position (void);

void roadmap_canvas_set_location    (RoadMapPosition *position);
void roadmap_canvas_set_destination (RoadMapPosition *position);

void roadmap_canvas_zoom_in    (void);
void roadmap_canvas_zoom_out   (void);
void roadmap_canvas_zoom_reset (void);
void roadmap_canvas_move_north (void);
void roadmap_canvas_move_south (void);
void roadmap_canvas_move_east  (void);
void roadmap_canvas_move_west  (void);

void roadmap_canvas_close    (void);

#endif // _ROADMAP_CANVAS__H_
