/* roadmap_history.c - A module to save and retrieve an address history.
 *
 * LICENSE:
 *
 *   Copyright 2002 Pascal F. Martin
 *
 *   This file is part of RoadMap.
 *
 *   RoadMap is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   RoadMap is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with RoadMap; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * SYNOPSYS:
 *
 *   void  roadmap_history_initialize (...);
 *   void  roadmap_history_add (...);
 */

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/stat.h>
#include <sys/types.h>

#include "roadmap.h"
#include "roadmap_math.h"
#include "roadmap_config.h"


typedef struct RoadMapHistoryItemRecord RoadMapHistoryItem;

typedef struct RoadMapHistoryItemRecord {

    RoadMapHistoryItem *next;

    char *category;
    char *name;
    char *default_value;
    char *value;

};


static RoadMapHistoryItem RoadMapHistoryFirst = NULL;
static RoadMapHistoryItem RoadMapHistoryLast  = NULL;


void  roadmap_history_initialize (void) {
}

